Page MenuHomePhabricator

Update Yellow 600 for warning color
Closed, ResolvedPublic

Description

Background goal

Warning color needs to be updated in T322428. We need to add and update the following tokens:

Option tokens:

  • Renamed “Yellow 600” to yellow500 (we won't use this option token as decision token at the moment, so we don't need to create it now)
  • Added new yellow600 #edab00

Decision tokens:

  • color-warning will use yellow600/ #edab00
  • border-color-warning will use yellow600/ #edab00
    Captura de Pantalla 2022-11-10 a las 12.09.31.png (518×1 px, 270 KB)
NOTE: We will only create as option tokens the ones that will be used as decisions. In this case, yellow500 won't be created as option tokens at the moment and it will be only used in design as primitive colors for other non coded elements such as illustrations.

Design spec

Acceptance criteria (or Done)

Design:

  • Create new version of the colors Figma spec sheet and add it in the task
  • Update and publish the colors in the Design Tokens library

Code:

  • Update tokens in Codex
  • Update variables in WikimedaUI Base
  • Release new WikimediaUI Base version and pull-through in OOUI

Related Objects

StatusSubtypeAssignedTask
Duplicate STH
InvalidNone
ResolvedVolker_E
ResolvedNone
Resolvedbmartinezcalvo
ResolvedVolker_E
Resolvedldelench_wmf
ResolvedSarai-WMDE
ResolvedDAbad
ResolvedVolker_E
Resolvedbmartinezcalvo
Resolved KieranMcCann
OpenNone
DuplicateNone
ResolvedVolker_E
ResolvedDAbad
ResolvedVolker_E
ResolvedDAbad
ResolvedSarai-WMDE
ResolvedCatrope
OpenNone
Resolvedovasileva
ResolvedBUG REPORTVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedSarai-WMDE
ResolvedVolker_E
Resolvedbmartinezcalvo
ResolvedCatrope
ResolvedDAbad
ResolvedVolker_E

Event Timeline

@bmartinezcalvo @RHo @KieranMcCann My understanding from our last exchange was that we're not inventing new colors (while we agreed to bring back those colors to OOUI for consistency) for one border use case right now…?! As it would, without wider use and underlying guidance end up in different Yellows/Greens all over the place.
We'd also have to bring the new color back to the old nomenclature in WikimediaUI Base, as we haven't prioritized changing the old nomenclature to the new. Our prios were getting everything correct in Codex:

@wmui-color-yellow30: #ac6600; // = HSB 36°, 100%, 67%
@wmui-color-yellow50: #fc3;    // = HSB 45°, 80%, 100%
@wmui-color-yellow90: #fef6e7; // = HSB 39°, 9%, 100%

@wmui-color-green30:  #14866d; // = HSB 167°, 85%, 53%
@wmui-color-green50:  #00af89; // = HSB 167°, 100%, 69%
@wmui-color-green90:  #d5fdf4; // = HSB 166°, 16%, 99%

One way forward could be to ignore the inconsistencies right now and just care about Codex. But I personally would only focus on exchanging Yellow 600/Yellow50 and leave the border color issue stalled.
Mind the long-tail of necessary changes (example of just old Yellow 50):
https://codesearch.wmcloud.org/search/?q=%23fc3&i=nope&files=&excludeFiles=&repos=

bmartinezcalvo renamed this task from Add new colors for messages to Update warning color.Dec 5 2022, 11:46 AM
bmartinezcalvo updated the task description. (Show Details)

@bmartinezcalvo @RHo @KieranMcCann My understanding from our last exchange was that we're not inventing new colors (while we agreed to bring back those colors to OOUI for consistency) for one border use case right now…?! As it would, without wider use and underlying guidance end up in different Yellows/Greens all over the place.

@Volker_E updated this task description to be used just to implement the new yellow600 #EDAB00 for both color-warning and border-color-warning. I've created this other task T324449 to update the message border colors to the darkest tone in the future (and add the new green700 #096450 color for the success dark border).

bmartinezcalvo renamed this task from Update warning color to Update Yellow600 for warning color.Dec 5 2022, 5:09 PM

Change 865216 had a related patch set uploaded (by VolkerE; author: VolkerE):

[oojs/ui@master] build: Update wikimedia-ui-base to 0.21.0

https://gerrit.wikimedia.org/r/865216

Change 865217 had a related patch set uploaded (by VolkerE; author: VolkerE):

[oojs/ui@master] icons: Update warning color to new design-first `#edab00`

https://gerrit.wikimedia.org/r/865217

Change 865216 merged by jenkins-bot:

[oojs/ui@master] build: Update wikimedia-ui-base to 0.21.0

https://gerrit.wikimedia.org/r/865216

Change 865217 merged by jenkins-bot:

[oojs/ui@master] icons: Update warning color to new design-first `#edab00`

https://gerrit.wikimedia.org/r/865217

Change 865677 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/core@master] Update OOUI to v0.46.0

https://gerrit.wikimedia.org/r/865677

Design sign-off done. It looks good to me. As this task is just for tokens I think we can move it to Product sign-off.

The Codex change has gone out into production with v0.4.0.

Change 865677 merged by jenkins-bot:

[mediawiki/core@master] Update OOUI to v0.46.0

https://gerrit.wikimedia.org/r/865677

ldelench_wmf claimed this task.
Volker_E renamed this task from Update Yellow600 for warning color to Update Yellow 600 for warning color.Dec 19 2022, 6:23 PM
Volker_E removed a project: Patch-For-Review.